Bug 56960 - gnomecc segv's on s390 or under KDE
gnomecc segv's on s390 or under KDE
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: control-center (Show other bugs)
7.3
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-01 07:30 EST by Mike A. Harris
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-01 16:28:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2001-12-01 07:30:50 EST
Description of Problem:


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Mike A. Harris 2001-12-01 07:34:19 EST
GRR.  Mozilla submitted the form somehow without me clicking on submit.
Dagnabit.

When testing gnomecc on s390 it exhibits very randomish behaviour.  One
time it seems to work ok, another time it just segv's after start.  I
start it up, scroll down, and then close it, and it segv's while closing.

It also starts up a bunch of other stuff like gnome-name-service and xalf
(whatever that is) and leaves them running.


Comment 2 Mike A. Harris 2001-12-01 07:36:02 EST
[root@rawhide root]# gnomecc



Gtk-WARNING **: invalid cast from (NULL) pointer to `GtkLabel'

Gtk-CRITICAL **: file gtklabel.c: line 261 (gtk_label_set_text): assertion
`GTK_IS_LABEL (label)' failed.

Gtk-CRITICAL **: file gtkobject.c: line 1163 (gtk_object_ref): assertion
`object->ref_count > 0' failed.

Gtk-CRITICAL **: file gtkobject.c: line 1173 (gtk_object_unref): assertion
`object->ref_count > 0' failed.

Gtk-WARNING **: invalid unclassed pointer in cast to `GtkMultiview'

** CRITICAL **: file gtk-multiview.c: line 405 (gtk_multiview_append_child):
assertion `GTK_IS_MULTIVIEW (multiview)' failed.

Gtk-WARNING **: invalid unclassed pointer in cast to `GtkMultiview'

** CRITICAL **: file gtk-multiview.c: line 438 (gtk_multiview_set_current):
assertion `GTK_IS_MULTIVIEW (multiview)' failed.
[root@rawhide root]#
[root@rawhide root]#
[root@rawhide root]# gnomecc

Gtk-CRITICAL **: file gtkcontainer.c: line 730 (gtk_container_remove): assertion
`widget->parent == GTK_WIDGET (container)' failed.

** CRITICAL **: file gtk-multiview.c: line 440 (gtk_multiview_set_current):
assertion `GTK_IS_WIDGET (child)' failed.

Gtk-WARNING **: invalid cast from `(unknown)' to `GtkWidget'

Gtk-CRITICAL **: file gtkwidget.c: line 3497 (gtk_widget_get_style): assertion
`GTK_IS_WIDGET (widget)' failed.

Gtk-CRITICAL **: file gtkctree.c: line 5155 (gtk_ctree_node_set_foreground):
assertion `GTK_IS_CTREE (ctree)' failed.
[root@rawhide root]# gnomecc
[root@rawhide root]#
[root@rawhide root]#
[root@rawhide root]#
[root@rawhide root]# ps ax
23804 ?        S      0:00 gnome-name-service
23839 ?        S      0:00 /usr/bin/xalf --title Appearance -i -c /bin/sh -c
sawfish-capplet-appearance --sawfish-group=appearance '--id=0' '--xid=35652215'

Comment 3 Havoc Pennington 2001-12-03 11:16:01 EST
Weird. Presumably some 64-bit screwup happens and then it's all downhill.
Comment 4 Havoc Pennington 2002-02-11 16:25:30 EST
I just saw similar warnings launching gnomecc under KDE. That may be the
important factor, rather than s390.
Comment 5 Havoc Pennington 2002-03-14 19:26:36 EST
I don't get any of this anymore with rawhide.

Note You need to log in before you can comment on or make changes to this bug.